\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3, xstep=1cm,ystep=1cm] (-4,-2) grid (4,4);
\clip(-3.5,-1.5) rectangle (1.5,3.5);
\draw [line width=1.5pt] (-2,1)-- (1,3);
\draw [line width=1.5pt] (1,3)-- (0,1);
\draw [line width=1.5pt] (0,1)-- (1,-1);
\draw [line width=1.5pt] (1,-1)-- (-2,1);
\draw [color=black] (-3,1)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (-2.83,1.42) node {$O$};
\end{tikzpicture}
\end{document}